Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# settings.hh File Reference

A GtkSettings C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/glib/property.hh>`
`#include <gtk/gtksettings.h>`
`#include <xfc/gtk/inline/settings.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Settings
    A GtkSettings C++ wrapper class. More...

## Detailed Description

A GtkSettings C++ wrapper interface.

Provides Settings, an object that holds the current settings for a screen.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3